local BZ = AceLibrary("Babble-Zone-2.2") 

function xChar:CHAT_MSG_COMBAT_HOSTILE_DEATH()
	
	local name = self:isBoss(arg1)
	
	if not name then return end
	
	if not UploadData.Bosskills then UploadData.Bosskills = {} end
	if not UploadData.BossPoints then UploadData.BossPoints = {} end
	if UploadData.Bosskills[name] then return end
	
	self:Print(name .. L[" was killed."])
	UploadData.Bosskills[name] = 1 
	
	if BZ:HasReverseTranslation(GetRealZoneText()) then 
		local zone = BZ:GetReverseTranslation(GetRealZoneText())
		local points = UploadData.BossPoints[zone] or 0
		UploadData.BossPoints[zone] = self.BossPoints[name] + points
		self:Print(zone, UploadData.BossPoints[zone])
	else
		local zone = GetRealZoneText()
		local points = UploadData.BossPoints[zone] or 0
		UploadData.BossPoints[zone] = self.BossPoints[name] + points
		self:Print(zone, UploadData.BossPoints[zone])
	end
	
	if UploadData.BossPoints[zone] then
		if UploadData.BossPoints[zone] > 100 then 
			UploadData.BossPoints[zone] = 100 
		end
	end
end

function xChar:isBoss(msg)
	-- workaround netherspite infernals 
	if strfind(msg, "Netherspite Infernal") 
	or stfind(msg, "Nethergrolls Hllenbestie") then
		return
	end
	
	for en, localized in pairs(self.BossTable) do
		-- self:Print(en, localized)
		if strfind(msg, localized) then 
			return en 
		end
	end
	-- self:Print(msg .. " isn't a Boss.")
	return false
	
end
